%define anolis_release 0

Name:           keenopt
Version:        2.0.0
Release:        %{?anolis_release}%{?dist}
Url:            https://gitee.com/anolis/keenopt.git
Summary:        Auto-Tuning algorithm library of KeenTune
Vendor:         Alibaba
License:        MulanPSLv2
Group:          Development/Languages/Python
Source:         %{name}-%{version}.tar.gz

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildArch:      noarch

%description
Auto-Tuning algorithm module of KeenTune

%prep
%autosetup -n %{name}-%{version}

%install
%{__python3} setup.py install --single-version-externally-managed -O1 \
                              --root=%{buildroot} \
                              --record=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc README.md
%license LICENSE

%changelog
* Fri Dec 30 2022 Tian Liu <lt01052851@alibaba-inc.com> - 2.0.0-0
- fix: update simulation
- fix: delete unused import matplotlib

* Fri Nov 25 2022 Tian Liu <lt01052851@alibaba-inc.com> - 1.5.0-0
- add: KeenTune oiptimization algorithm library
